PrefabFiles = {
	"sollyz",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/sollyz.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/sollyz.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/sollyz.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/sollyz.xml" ),

    Asset( "IMAGE", "bigportraits/sollyz.tex" ),
    Asset( "ATLAS", "bigportraits/sollyz.xml" ),
	
	Asset( "IMAGE", "images/map_icons/sollyz.tex" ),
	Asset( "ATLAS", "images/map_icons/sollyz.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_sollyz.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_sollyz.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_sollyz.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_sollyz.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.sollyz = "THE CAT SLAP"
STRINGS.CHARACTER_NAMES.sollyz = "Sollyz"
STRINGS.CHARACTER_DESCRIPTIONS.sollyz = "*Eat Fish Level-up! (max30)\n*Have Fishing Rod.\n*Run Faster when morning!\n"
STRINGS.CHARACTER_QUOTES.sollyz = "\"I love Haruz as well as I love those fish!\""

-- Custom speech strings
STRINGS.CHARACTERS.sollyz = require "speech_sollyz"

-- The character's name as appears in-game 
STRINGS.NAMES.sollyz = "Sollyz"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.sollyz = 
{
	GENERIC = "It's Sollyz!",
	ATTACKER = "That Sollyz looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Sollyz, friend of ghosts.",
	GHOST = "Sollyz could use a heart.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "sollyz")


AddMinimapAtlas("images/map_icons/sollyz.xml")
AddModCharacter("sollyz")

